summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-06-19 13:45:42 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-06-19 13:45:42 +0000
commitffe910e129da5362318efdc5cc819064aedbce6d (patch)
tree3c991cd16609e5641108c178a97152db4531057b /dev-python
parenta6f084b3ab657c74812bcf9de2d8f84c2a7828a8 (diff)
downloadbaldeagleos-repo-ffe910e129da5362318efdc5cc819064aedbce6d.tar.gz
baldeagleos-repo-ffe910e129da5362318efdc5cc819064aedbce6d.tar.xz
baldeagleos-repo-ffe910e129da5362318efdc5cc819064aedbce6d.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/aiohttp/aiohttp-3.7.4-r1.ebuild (renamed from dev-python/aiohttp/aiohttp-3.7.4.ebuild)49
-rw-r--r--dev-python/aiohttp/files/aiohttp-3.7.4-brotli.patch97
-rw-r--r--dev-python/httpx/Manifest4
-rw-r--r--dev-python/httpx/httpx-0.16.1.ebuild45
-rw-r--r--dev-python/httpx/httpx-0.17.0.ebuild45
-rw-r--r--dev-python/httpx/httpx-0.17.1.ebuild46
-rw-r--r--dev-python/httpx/httpx-0.18.0.ebuild52
-rw-r--r--dev-python/liblarch/Manifest1
-rw-r--r--dev-python/liblarch/liblarch-3.1.0.ebuild31
-rw-r--r--dev-python/pytest-httpx/Manifest2
-rw-r--r--dev-python/pytest-httpx/pytest-httpx-0.10.1.ebuild30
-rw-r--r--dev-python/pytest-httpx/pytest-httpx-0.11.0.ebuild30
-rw-r--r--dev-python/tekore/metadata.xml4
-rw-r--r--dev-python/tekore/tekore-3.7.1.ebuild3
-rw-r--r--dev-python/thrift/thrift-0.14.1.ebuild2
15 files changed, 166 insertions, 275 deletions
diff --git a/dev-python/aiohttp/aiohttp-3.7.4.ebuild b/dev-python/aiohttp/aiohttp-3.7.4-r1.ebuild
index c93c546dff1b..7aa65be5acf7 100644
--- a/dev-python/aiohttp/aiohttp-3.7.4.ebuild
+++ b/dev-python/aiohttp/aiohttp-3.7.4-r1.ebuild
@@ -27,8 +27,8 @@ BDEPEND="
dev-python/cython[${PYTHON_USEDEP}]
test? (
!!dev-python/pytest-aiohttp
+ app-arch/brotli[python,${PYTHON_USEDEP}]
dev-python/async_generator[${PYTHON_USEDEP}]
- dev-python/brotlipy[${PYTHON_USEDEP}]
dev-python/freezegun[${PYTHON_USEDEP}]
www-servers/gunicorn[${PYTHON_USEDEP}]
dev-python/pytest-forked[${PYTHON_USEDEP}]
@@ -40,6 +40,10 @@ BDEPEND="
)
"
+PATCHES=(
+ "${FILESDIR}"/aiohttp-3.7.4-brotli.patch
+)
+
DOCS=( CHANGES.rst CONTRIBUTORS.txt README.rst )
distutils_enable_tests pytest
@@ -53,21 +57,6 @@ distutils_enable_sphinx docs \
'dev-python/sphinx-aiohttp-theme'
python_prepare_all() {
- # Fails due to a warning
- sed -e 's:test_read_boundary_with_incomplete_chunk:_&:' \
- -i tests/test_multipart.py || die
- # with py3.7+
- sed -e 's:test_aiohttp_request_coroutine:_&:' \
- -i tests/test_client_functional.py || die
-
- # Fails due to path mismatch
- sed -e 's:test_static:_&:' \
- -i tests/test_route_def.py || die
-
- # Internet
- sed -e 's:test_mark_formdata_as_processed:_&:' \
- -i tests/test_formdata.py || die
-
# newer chardet works too
sed -e 's|chardet>=2.0,<4.0|chardet>=2.0|' \
-i setup.py aiohttp.egg-info/requires.txt || die
@@ -79,10 +68,32 @@ python_prepare_all() {
}
python_test() {
+ local deselect=(
+ # fails with a 'runtime warning'
+ 'tests/test_client_functional.py::test_aiohttp_request_coroutine[pyloop]'
+
+ # fragile to test paths
+ tests/test_route_def.py::test_static
+
+ # requires Internet
+ tests/test_formdata.py::test_mark_formdata_as_processed
+
+ # 'Event loop is closed' -- probably broken by old age
+ 'tests/test_streams.py::TestDataQueue::test_read[pyloop]'
+ 'tests/test_streams.py::TestDataQueue::test_read_eof[pyloop]'
+ 'tests/test_streams.py::TestDataQueue::test_read_cancelled[pyloop]'
+ 'tests/test_streams.py::TestDataQueue::test_read_until_eof[pyloop]'
+ 'tests/test_streams.py::TestDataQueue::test_read_exc[pyloop]'
+ 'tests/test_streams.py::TestDataQueue::test_read_exception[pyloop]'
+ 'tests/test_streams.py::TestDataQueue::test_read_exception_with_data[pyloop]'
+ 'tests/test_streams.py::TestDataQueue::test_read_exception_on_wait[pyloop]'
+ 'tests/test_streams.py::TestDataQueue::test_exception_waiter[pyloop]'
+ )
+
pushd "${BUILD_DIR}/lib" >/dev/null || die
ln -snf "${S}"/{LICENSE.txt,tests} . || die
- pytest -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")" --forked \
- -vv tests || die "Tests fail with ${EPYTHON}"
- rm -rf .pytest_cache tests || die
+ epytest -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")" --forked \
+ ${deselect[@]/#/--deselect } tests
+ rm -rf .hypothesis .pytest_cache tests || die
popd >/dev/null || die
}
diff --git a/dev-python/aiohttp/files/aiohttp-3.7.4-brotli.patch b/dev-python/aiohttp/files/aiohttp-3.7.4-brotli.patch
new file mode 100644
index 000000000000..1e8add007999
--- /dev/null
+++ b/dev-python/aiohttp/files/aiohttp-3.7.4-brotli.patch
@@ -0,0 +1,97 @@
+From a7424ddf490fc51244d427543cc9683b5427102b Mon Sep 17 00:00:00 2001
+From: Felix Yan <felixonmars@archlinux.org>
+Date: Fri, 19 Jul 2019 21:32:55 +0800
+Subject: [PATCH] Use Brotli instead of brotlipy (#3803)
+MIME-Version: 1.0
+Content-Type: text/plain; charset=UTF-8
+Content-Transfer-Encoding: 8bit
+
+brotlipy is stuck at brotli 0.6 and upstream is inactive. Let's switch
+to the official binding which is up-to-date.
+
+(rebased for 3.7.x by Michał Górny)
+---
+ aiohttp/http_parser.py | 25 +++++++++++++++++++++----
+ docs/client_quickstart.rst | 2 +-
+ docs/index.rst | 2 +-
+ setup.py | 2 +-
+ 4 files changed, 24 insertions(+), 7 deletions(-)
+
+diff --git a/aiohttp/http_parser.py b/aiohttp/http_parser.py
+index 71ba815a..56ecead4 100644
+--- a/aiohttp/http_parser.py
++++ b/aiohttp/http_parser.py
+@@ -821,10 +821,27 @@ class DeflateBuffer:
+ if encoding == "br":
+ if not HAS_BROTLI: # pragma: no cover
+ raise ContentEncodingError(
+- "Can not decode content-encoding: brotli (br). "
+- "Please install `brotlipy`"
+- )
+- self.decompressor = brotli.Decompressor()
++ 'Can not decode content-encoding: brotli (br). '
++ 'Please install `Brotli`')
++
++ class BrotliDecoder:
++ # Supports both 'brotlipy' and 'Brotli' packages
++ # since they share an import name. The top branches
++ # are for 'brotlipy' and bottom branches for 'Brotli'
++ def __init__(self) -> None:
++ self._obj = brotli.Decompressor()
++
++ def decompress(self, data: bytes) -> bytes:
++ if hasattr(self._obj, "decompress"):
++ return self._obj.decompress(data)
++ return self._obj.process(data)
++
++ def flush(self) -> bytes:
++ if hasattr(self._obj, "flush"):
++ return self._obj.flush()
++ return b""
++
++ self.decompressor = BrotliDecoder() # type: Any
+ else:
+ zlib_mode = 16 + zlib.MAX_WBITS if encoding == "gzip" else zlib.MAX_WBITS
+ self.decompressor = zlib.decompressobj(wbits=zlib_mode)
+diff --git a/docs/client_quickstart.rst b/docs/client_quickstart.rst
+index 95588cb6..b9146584 100644
+--- a/docs/client_quickstart.rst
++++ b/docs/client_quickstart.rst
+@@ -174,7 +174,7 @@ The ``gzip`` and ``deflate`` transfer-encodings are automatically
+ decoded for you.
+
+ You can enable ``brotli`` transfer-encodings support,
+-just install `brotlipy <https://github.com/python-hyper/brotlipy>`_.
++just install `Brotli <https://pypi.org/project/Brotli>`_.
+
+ JSON Request
+ ============
+diff --git a/docs/index.rst b/docs/index.rst
+index 13fe723b..4091c001 100644
+--- a/docs/index.rst
++++ b/docs/index.rst
+@@ -52,7 +52,7 @@ Installing speedups altogether
+ ------------------------------
+
+ The following will get you ``aiohttp`` along with :term:`chardet`,
+-:term:`aiodns` and ``brotlipy`` in one bundle. No need to type
++:term:`aiodns` and ``Brotli`` in one bundle. No need to type
+ separate commands anymore!
+
+ .. code-block:: bash
+diff --git a/setup.py b/setup.py
+index 54462ba7..7a184817 100644
+--- a/setup.py
++++ b/setup.py
+@@ -137,7 +137,7 @@ args = dict(
+ extras_require={
+ "speedups": [
+ "aiodns",
+- "brotlipy",
++ "Brotli",
+ "cchardet",
+ ],
+ },
+--
+2.32.0
+
diff --git a/dev-python/httpx/Manifest b/dev-python/httpx/Manifest
index 0f841ab39b0e..0aa0aa899740 100644
--- a/dev-python/httpx/Manifest
+++ b/dev-python/httpx/Manifest
@@ -1,6 +1,2 @@
-DIST httpx-0.16.1.tar.gz 965347 BLAKE2B a6c5bcdda595ffcfb824194564ebd93760a9180e60665a9540fc6a2822b1be4273b940fee61cb4b49c2d97a5f4d71b1caf32deddec18d2fb636465b3868aece4 SHA512 d76b2c94c655c187ab150f20b16906034574d017a67c4a06c456d55071434cc0ba7752bdceda86aa6b1a1fe9109fa11594e4ea679cd7d2a77898fb40fa5153d3
-DIST httpx-0.17.0.tar.gz 1651681 BLAKE2B 46eec46d5f2006667ab51e5e4d98c1a22783351d9e2fa50ccab2431bf6e52dd9b124d50b32f151fc171561c913d879cfec4f717ea22fd2a333c13190368ab505 SHA512 9471c404c02481a10d42e10e36a55cd55cdecd2cd98a8f3ca1f453a7f1ad7f1ce3b292b8fe583b1c95119f27c0b2eefc756b4e4ed353e3383c12009f3bde21cd
-DIST httpx-0.17.1.tar.gz 1651788 BLAKE2B 445e61dba5a2648191f57352b664a33785af01bb9ca29c7f553d10111894d0b4011a6987bdea880dd3fc87a60ddee7813a2d51e12178277b60ac27ac6fa930ef SHA512 260040e266144f56b8d1cd085e0d97f2b570c685560fd2bc6baca633e8c9e88a666d0ba072048d63f826dd380df7116ce676dcfb48406e39a7480c44f73368c6
-DIST httpx-0.18.0.tar.gz 1663878 BLAKE2B 968ac2a3bd1d150d1adb7e7de5c9dd3aba2ec549feecefdec040d7be1ed54c96b439eff65a4a0d36ebbe77f71af610fc7a0e774fd8dd494a7e80df4e8d0d96c0 SHA512 9648729dbac37500fc828a7cae98a705fa811ae2df0d4abb4bd13a97e03f1ef73b062112c24e7c3edf60140ed5342498a85b46e8cb6b999521ee5d4869656e84
DIST httpx-0.18.1.tar.gz 1663996 BLAKE2B dcbfcb4a452b47b643d5114a535005f7f92170392202dedc6c152546430231d20fd8b94b7ecc1d2abacbc9d76acb14cbfdc268109b171cc40812504e696dcaab SHA512 954b020d117dd1064262f3ac2d3137d01bba344b1a061e5713c3889283334d9ca92d9ed3d23f6ce79d684e31bae2d83fca6993178ef55e5a91353b812ad489e3
DIST httpx-0.18.2.tar.gz 1666756 BLAKE2B 3d1e25d503ae5306150c157bc83afdac9a475110d042e041b58de448a0dcfd75de3f4c15836b838dc799cd5f8b7e0d646e43bbe107ffad87d51ff016afe585cd SHA512 727974e5d5924fdd653987dd4f528d27bb2653085b01ef5efcdac39dc92ef2ed586f872c202349aa31105ad970cff914de4315c2d79338a6aa18bebb8126f392
diff --git a/dev-python/httpx/httpx-0.16.1.ebuild b/dev-python/httpx/httpx-0.16.1.ebuild
deleted file mode 100644
index 5fbcd07d4e1f..000000000000
--- a/dev-python/httpx/httpx-0.16.1.ebuild
+++ /dev/null
@@ -1,45 +0,0 @@
-# Copyright 2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Fully-featured HTTP client which provides sync and async APIs"
-HOMEPAGE="https://www.python-httpx.org/"
-SRC_URI="https://github.com/encode/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
- dev-python/certifi[${PYTHON_USEDEP}]
- dev-python/sniffio[${PYTHON_USEDEP}]
- =dev-python/httpcore-0.12*[${PYTHON_USEDEP}]
- >=dev-python/rfc3986-1.3[${PYTHON_USEDEP}]
- <dev-python/rfc3986-2[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/brotlipy[${PYTHON_USEDEP}]
- dev-python/cryptography[${PYTHON_USEDEP}]
- dev-python/hyper-h2[${PYTHON_USEDEP}]
- dev-python/pytest-asyncio[${PYTHON_USEDEP}]
- dev-python/trustme[${PYTHON_USEDEP}]
- dev-python/uvicorn[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-python_prepare_all() {
- # Require Internet access
- sed -i 's/test_async_proxy_close\|test_sync_proxy_close/_&/' \
- tests/client/test_proxies.py || die
- # trio is not currently in the tree
- sed -i '/^import trio/d' tests/concurrency.py || die
- distutils-r1_python_prepare_all
-}
diff --git a/dev-python/httpx/httpx-0.17.0.ebuild b/dev-python/httpx/httpx-0.17.0.ebuild
deleted file mode 100644
index 5fbcd07d4e1f..000000000000
--- a/dev-python/httpx/httpx-0.17.0.ebuild
+++ /dev/null
@@ -1,45 +0,0 @@
-# Copyright 2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Fully-featured HTTP client which provides sync and async APIs"
-HOMEPAGE="https://www.python-httpx.org/"
-SRC_URI="https://github.com/encode/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
- dev-python/certifi[${PYTHON_USEDEP}]
- dev-python/sniffio[${PYTHON_USEDEP}]
- =dev-python/httpcore-0.12*[${PYTHON_USEDEP}]
- >=dev-python/rfc3986-1.3[${PYTHON_USEDEP}]
- <dev-python/rfc3986-2[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/brotlipy[${PYTHON_USEDEP}]
- dev-python/cryptography[${PYTHON_USEDEP}]
- dev-python/hyper-h2[${PYTHON_USEDEP}]
- dev-python/pytest-asyncio[${PYTHON_USEDEP}]
- dev-python/trustme[${PYTHON_USEDEP}]
- dev-python/uvicorn[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-python_prepare_all() {
- # Require Internet access
- sed -i 's/test_async_proxy_close\|test_sync_proxy_close/_&/' \
- tests/client/test_proxies.py || die
- # trio is not currently in the tree
- sed -i '/^import trio/d' tests/concurrency.py || die
- distutils-r1_python_prepare_all
-}
diff --git a/dev-python/httpx/httpx-0.17.1.ebuild b/dev-python/httpx/httpx-0.17.1.ebuild
deleted file mode 100644
index ecdea09131fb..000000000000
--- a/dev-python/httpx/httpx-0.17.1.ebuild
+++ /dev/null
@@ -1,46 +0,0 @@
-# Copyright 2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Fully-featured HTTP client which provides sync and async APIs"
-HOMEPAGE="https://www.python-httpx.org/"
-SRC_URI="https://github.com/encode/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
- dev-python/certifi[${PYTHON_USEDEP}]
- dev-python/sniffio[${PYTHON_USEDEP}]
- <dev-python/httpcore-0.13[${PYTHON_USEDEP}]
- >=dev-python/httpcore-0.12.1[${PYTHON_USEDEP}]
- >=dev-python/rfc3986-1.3[${PYTHON_USEDEP}]
- <dev-python/rfc3986-2[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/brotlipy[${PYTHON_USEDEP}]
- dev-python/cryptography[${PYTHON_USEDEP}]
- dev-python/hyper-h2[${PYTHON_USEDEP}]
- dev-python/pytest-asyncio[${PYTHON_USEDEP}]
- dev-python/trustme[${PYTHON_USEDEP}]
- dev-python/uvicorn[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-python_prepare_all() {
- # Require Internet access
- sed -i 's/test_async_proxy_close\|test_sync_proxy_close/_&/' \
- tests/client/test_proxies.py || die
- # trio is not currently in the tree
- sed -i '/^import trio/d' tests/concurrency.py || die
- distutils-r1_python_prepare_all
-}
diff --git a/dev-python/httpx/httpx-0.18.0.ebuild b/dev-python/httpx/httpx-0.18.0.ebuild
deleted file mode 100644
index 3483d9f153da..000000000000
--- a/dev-python/httpx/httpx-0.18.0.ebuild
+++ /dev/null
@@ -1,52 +0,0 @@
-# Copyright 2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Fully-featured HTTP client which provides sync and async APIs"
-HOMEPAGE="https://www.python-httpx.org/"
-SRC_URI="https://github.com/encode/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
- dev-python/certifi[${PYTHON_USEDEP}]
- dev-python/sniffio[${PYTHON_USEDEP}]
- =dev-python/httpcore-0.13*[${PYTHON_USEDEP}]
- >=dev-python/rfc3986-1.3[${PYTHON_USEDEP}]
- <dev-python/rfc3986-2[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/brotlipy[${PYTHON_USEDEP}]
- dev-python/cryptography[${PYTHON_USEDEP}]
- dev-python/hyper-h2[${PYTHON_USEDEP}]
- dev-python/pytest-asyncio[${PYTHON_USEDEP}]
- dev-python/trustme[${PYTHON_USEDEP}]
- dev-python/uvicorn[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests pytest
-
-python_prepare_all() {
- # trio is not currently in the tree
- sed -i '/^import trio/d' tests/concurrency.py || die
- distutils-r1_python_prepare_all
-}
-
-python_test() {
- local deselect=(
- # Internet
- tests/client/test_proxies.py::test_async_proxy_close
- tests/client/test_proxies.py::test_sync_proxy_close
- )
-
- epytest ${deselect[@]/#/--deselect }
-}
diff --git a/dev-python/liblarch/Manifest b/dev-python/liblarch/Manifest
index 14cc8490bc5e..1924bfaf6887 100644
--- a/dev-python/liblarch/Manifest
+++ b/dev-python/liblarch/Manifest
@@ -1 +1,2 @@
DIST liblarch-3.0.1.tar.gz 55564 BLAKE2B bb3b3b67f9a64403e1a57e9b47217aa1a9b066708d70e1387a8b864a81dbdc4202b6b75012365f9c93179bbfcc4304116a33ebd3bd892f24334e0c200ae94b56 SHA512 591854eae54f5e644882f8ba486434f85196115a3c06f249cf7b343bb0e029b78a818610881d9d656f6342748c956cf5a213a22843e95b2ed05246a8013ff8ca
+DIST liblarch-3.1.0.tar.gz 55727 BLAKE2B 531602b43f7729f59f59394aa1dd6d3ee4ad653d4ef8802de2074c9a9746d43da1638941c1e8f2075d9092810ba680f2e01bee360c55b0826bb725d6515b31df SHA512 042a763dd12612d6630c064b5af84011f1fb908626f17f866e103743cdaabb4983f922290287b0138938488a7c9bff33680ef8157f8bbcbc166e4f4f2d008951
diff --git a/dev-python/liblarch/liblarch-3.1.0.ebuild b/dev-python/liblarch/liblarch-3.1.0.ebuild
new file mode 100644
index 000000000000..43922bce168c
--- /dev/null
+++ b/dev-python/liblarch/liblarch-3.1.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=no
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Library to handle directed acyclic graphs"
+HOMEPAGE="https://wiki.gnome.org/Projects/liblarch"
+SRC_URI="https://github.com/getting-things-gnome/liblarch/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ x11-libs/gtk+:3[introspection]
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )
+"
+
+python_test() {
+ virtx nosetests -v || die "Tests fail with ${EPYTHON}"
+}
diff --git a/dev-python/pytest-httpx/Manifest b/dev-python/pytest-httpx/Manifest
index 322edbeec383..3e2b3f64d076 100644
--- a/dev-python/pytest-httpx/Manifest
+++ b/dev-python/pytest-httpx/Manifest
@@ -1,3 +1 @@
-DIST pytest-httpx-0.10.1.tar.gz 21117 BLAKE2B 372ecc8a132f28bf7016ed466c4f6974f51c3c2ab9decd68fd8e3c7a810030db9f169f5ab28662cfed006297ea200d3a157ba220f2156b44be03fbf49edc5415 SHA512 f306e57408924b653d3ab4dd28f266b066f202b98440b31769940bdab0be98d5c48817e22d68e2dcdf82426e26334242591d0ae630aa71812f81dd7866b81e0f
-DIST pytest-httpx-0.11.0.tar.gz 21178 BLAKE2B c58c303868fd1b1926a58db28eeda3c5d74cd38f68aad3543cb0296f4dcac59d9fb983287b432219f70bd2003c2a0e32d85ed343b1c279d576ef100b129c7f25 SHA512 eb798d31c710ab50d3176c569aba8ae2131a17f415fe87830fc71aa941d638bdbda4296032a07fce98d9a43a57f250cea380f8c409660eb1f13862094b6fcbb6
DIST pytest-httpx-0.12.0.tar.gz 21319 BLAKE2B 59c3678937a7756f13971e3f1f8d312b227f56339b4234ac8e5544f4370622bcff401f76f68c2ee042fdc64deae6a7a9dd05ca8a54b60b14bfb74b2d2d724de4 SHA512 b5866ab0123755020fad679d27d4d113132b2a79da85c52a334904d19aea90ddc71088a6e0f27110498da2731be664c525f3cab256d447a37d9a507f9a508b43
diff --git a/dev-python/pytest-httpx/pytest-httpx-0.10.1.ebuild b/dev-python/pytest-httpx/pytest-httpx-0.10.1.ebuild
deleted file mode 100644
index dbe417d76e51..000000000000
--- a/dev-python/pytest-httpx/pytest-httpx-0.10.1.ebuild
+++ /dev/null
@@ -1,30 +0,0 @@
-# Copyright 2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-
-inherit distutils-r1
-
-MY_PN="${PN/-/_}"
-DESCRIPTION="Send responses to HTTPX using pytest"
-HOMEPAGE="https://colin-b.github.io/pytest_httpx/"
-SRC_URI="https://github.com/Colin-b/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-S="${WORKDIR}/${MY_PN}-${PV}"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
- =dev-python/httpx-0.16*[${PYTHON_USEDEP}]
- =dev-python/pytest-6*[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/pytest-asyncio[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests --install pytest
diff --git a/dev-python/pytest-httpx/pytest-httpx-0.11.0.ebuild b/dev-python/pytest-httpx/pytest-httpx-0.11.0.ebuild
deleted file mode 100644
index 82df1905fbc8..000000000000
--- a/dev-python/pytest-httpx/pytest-httpx-0.11.0.ebuild
+++ /dev/null
@@ -1,30 +0,0 @@
-# Copyright 2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-
-inherit distutils-r1
-
-MY_PN="${PN/-/_}"
-DESCRIPTION="Send responses to HTTPX using pytest"
-HOMEPAGE="https://colin-b.github.io/pytest_httpx/"
-SRC_URI="https://github.com/Colin-b/${MY_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-S="${WORKDIR}/${MY_PN}-${PV}"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
- =dev-python/httpx-0.17*[${PYTHON_USEDEP}]
- =dev-python/pytest-6*[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/pytest-asyncio[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_tests --install pytest
diff --git a/dev-python/tekore/metadata.xml b/dev-python/tekore/metadata.xml
index c5334abcb4b8..616498673576 100644
--- a/dev-python/tekore/metadata.xml
+++ b/dev-python/tekore/metadata.xml
@@ -5,6 +5,10 @@
<email>andrewammerlaan@gentoo.org</email>
<name>Andrew Ammerlaan</name>
</maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
<upstream>
<remote-id type="github">felix-hilden/tekore</remote-id>
<remote-id type="pypi">tekore</remote-id>
diff --git a/dev-python/tekore/tekore-3.7.1.ebuild b/dev-python/tekore/tekore-3.7.1.ebuild
index 2ea21aa3ee79..a246c0f45090 100644
--- a/dev-python/tekore/tekore-3.7.1.ebuild
+++ b/dev-python/tekore/tekore-3.7.1.ebuild
@@ -20,7 +20,6 @@ SLOT="0"
RDEPEND="
>=dev-python/httpx-0.11[${PYTHON_USEDEP}]
- <dev-python/httpx-0.18[${PYTHON_USEDEP}]
"
BDEPEND="
@@ -40,6 +39,8 @@ python_prepare_all() {
# requires network
sed -i -e 's:test_bad_arguments_raises_error:_&:' \
tests/auth/expiring.py || die
+ # unpin
+ sed -i -e '/httpx/s:,<0[.]18::' setup.py || die
distutils-r1_python_prepare_all
}
diff --git a/dev-python/thrift/thrift-0.14.1.ebuild b/dev-python/thrift/thrift-0.14.1.ebuild
index 88ef65ec5421..7ee41c191ca6 100644
--- a/dev-python/thrift/thrift-0.14.1.ebuild
+++ b/dev-python/thrift/thrift-0.14.1.ebuild
@@ -13,7 +13,7 @@ SRC_URI="https://downloads.apache.org/${PN}/${PV}//${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="amd64 ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]